## samba 3.6.6

=== pidl/wscript ===
#!/usr/bin/env python

import os, sys, Logs
from samba_utils import MODE_755

def set_options(opt):
    opt.tool_options('perl')

def configure(conf):
    conf.check_tool('perl')
    # we need a recent version of MakeMaker to get the right man page names
    if conf.CHECK_PERL_MANPAGE():
        conf.env.PERLMAN1EXT = conf.CHECK_PERL_MANPAGE(section='1')
        conf.env.PERLMAN3EXT = conf.CHECK_PERL_MANPAGE(section='3')
        conf.DEFINE('HAVE_PERL_MAKEMAKER', 1)

    # yapp is used for building the parser
    conf.find_program('yapp', var='YAPP')
    conf.find_program('pod2man', var='POD2MAN')

def build(bld):
    bld.INSTALL_FILES('${BINDIR}', 'pidl', chmod=MODE_755)

    bld.RECURSE('lib')

    if not bld.CONFIG_SET('HAVE_PERL_MAKEMAKER'):
        return

    pidl_src = ['pidl']
    pidl_src.extend(bld.path.ant_glob('lib/**/*.pm').split())

    pidl_manpages = {
        'pidl': 'man1/pidl.${PERLMAN1EXT}',
        'lib/Parse/Pidl/NDR.pm': 'man3/Parse::Pidl::NDR.${PERLMAN3EXT}',
        'lib/Parse/Pidl/Wireshark/Conformance.pm': 'man3/Parse::Pidl::Wireshark::Conformance.${PERLMAN3EXT}',
        'lib/Parse/Pidl/Dump.pm': 'man3/Parse::Pidl::Dump.${PERLMAN3EXT}',
        'lib/Parse/Pidl/Util.pm': 'man3/Parse::Pidl::Util.${PERLMAN3EXT}',
        'lib/Parse/Pidl/Wireshark/NDR.pm': 'man3/Parse::Pidl::Wireshark::NDR.${PERLMAN3EXT}'
    }

    for k, v in pidl_manpages.iteritems():
        pidl_manpages[k] = bld.EXPAND_VARIABLES(v)

    # use perl to build the manpages
    bld.env.pidl_srcdir = os.path.join(bld.srcnode.abspath(), 'pidl')

    blib_bld = os.path.join(bld.srcnode.abspath(bld.env), 'pidl/blib')

    bld.SET_BUILD_GROUP('final')
    if 'POD2MAN' in bld.env and bld.env['POD2MAN'] != '':
        for src, manpage in pidl_manpages.iteritems():
            bld(rule='${PERL} ${POD2MAN} -c "Samba Documentation" ${SRC} ${TGT}',
                shell=True,
                source=src,
                install_path=os.path.dirname(bld.EXPAND_VARIABLES('${MANDIR}/'+manpage)),
                target=os.path.basename(manpage))

    # we want to prefer the git version of the parsers if we can.
    # Only if the source has changed do we want to re-run yapp
    # But we force the developer to use the pidl standalone build
    # to regenerate the files.
    # TODO: only warn in developer mode and if 'git diff HEAD'
    #       shows a difference
    warn_about_grammar_changes = ('PIDL_BUILD_WARNINGS' in bld.env and (
        bld.IS_NEWER('idl.yp', 'lib/Parse/Pidl/IDL.pm') or
        bld.IS_NEWER('expr.yp', 'lib/Parse/Pidl/Expr.pm')))

    if warn_about_grammar_changes:
        Logs.warn('''
Pidl grammar files have changed. Please use the pidl standalone build
to regenerate them with yapp.

$ cd ../pidl
$ perl Makefile.PL
$ make lib/Parse/Pidl/IDL.pm lib/Parse/Pidl/Expr.pm
$ git add lib/Parse/Pidl/IDL.pm lib/Parse/Pidl/Expr.pm
$ git commit
$ cd -

If your 100% sure you haven't changed idl.yp and expr.yp
try this to avoid this message:

$ touch ../pidl/lib/Parse/Pidl/IDL.pm ../pidl/lib/Parse/Pidl/Expr.pm
''')

=== source4/lib/ldb/Makefile ===
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 PATH=buildtools/bin:../../../buildtools/bin:$$PATH waf

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

test:
	$(WAF) test $(TEST_OPTIONS)

dist:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) dist

distcheck:
	touch .tmplock
	WAFLOCK=.tmplock $(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

# some compatibility make targets
everything: all

testsuite: all

check: test

# this should do an install as well, once install is finished
installcheck: test

etags:
	$(WAF) etags

ctags:
	$(WAF) ctags

=== debian/changelog ===
samba (2:3.6.6-6+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * s3:smbd: fix a corner case of the symlink verification.
    Address regression introduced by the patch for CVE-2015-5252. For the
    share path "/", the introduced checks deny all operations in the share.
    (Closes: #812429)
  * CVE-2015-7560: Incorrect ACL get/set allowed on symlink path

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Mar 2016 21:14:09 +0100

samba (2:3.6.6-6+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Refresh waf-as-source.patch patch
  * Add CVE-2015-5252-v3-6-bso11395.patch patch.
    CVE-2015-5252: Insufficient symlink verification in smbd.
  * Add CVE-2015-5299-v3-6-bso11529.patch patch.
    CVE-2015-5299: Missing access control check in shadow copy code.
  * Add CVE-2015-5296-v3-6-bso11536.patch patch.
    CVE-2015-5296: Samba client requesting encryption vulnerable to
    downgrade attack.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Dec 2015 08:33:25 +0100

samba (2:3.6.6-6+deb7u5) wheezy-security; urgency=high

  * Security update
  * CVE-2015-0240: Unauthenticated code execution attack on smbd file
    services

 -- Ivo De Decker <ivodd@debian.org>  Thu, 19 Feb 2015 23:00:48 +0100

samba (2:3.6.6-6+deb7u4) wheezy-security; urgency=high

  * Security update
  * CVE-2014-0178: Uninitialized memory exposure when handling shadow_copy
    data
  * CVE-2014-0244: nmbd denial of service
  * CVE-2014-3493: smbd denial of service: server crash/memory corruption

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 22 Jun 2014 13:18:03 +0200

samba (2:3.6.6-6+deb7u3) wheezy; urgency=medium

  * Security update
  * CVE-2012-6150: pam_winbind login without require_membership_of
    restrictions
  * CVE-2013-4496: Password lockout not enforced for SAMR password changes

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 13 Apr 2014 20:33:47 +0200

samba (2:3.6.6-6+deb7u2) wheezy-security; urgency=high

  * Security update
  * CVE-2013-4475: ACLs are not checked on opening an alternate data stream on
    a file or directory
  * CVE-2013-4408: DCE-RPC fragment length field is incorrectly checked

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 03 Dec 2013 10:15:06 +0100

samba (2:3.6.6-6+deb7u1) wheezy; urgency=low

  * Security update
  * CVE-2013-4124: Denial of service - CPU loop and memory allocation
    Closes: #718781

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 15 Aug 2013 12:06:17 +0200

samba (2:3.6.6-6) unstable; urgency=low

  * Team upload.
  * Move binary files out of /etc/samba to /var/lib/samba,
    where they belong according to the FHS:
    - schannel_store.tdb
    - idmap2.tdb
    - MACHINE.sid
    Closes: #454770

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 15 Apr 2013 23:56:23 +0200

samba (2:3.6.6-5) unstable; urgency=high

  * Security update
  * CVE-2013-0213: Clickjacking issue in SWAT
  * CVE-2013-0214: Potential XSRF in SWAT

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Jan 2013 18:49:32 +0100

samba (2:3.6.6-4) unstable; urgency=low

  * Fix printers tdb migration by including an upstream fix
    from 3.6.7 (upstream bug #9026)
    Closes: #696675

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2013 12:42:02 +0100

samba (2:3.6.6-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages.
    Closes: #683899

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:19:12 +0200

samba (2:3.6.6-2) unstable; urgency=low

  * Restore the DHCP hook.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Jun 2012 09:31:15 -0700

samba (2:3.6.6-1) unstable; urgency=low

  [ Ivo De Decker ]
  * Only enable swat in inetd.conf on first install. Closes: #658245 
  * Minor lintian fixes. 
  * Remove DHCP hook. Closes: #652942, #629406, #649100
  * Don't reload smbd when running from inetd. Closes: #678741 
  * Don't start smbd when guest account doesn't exist. Closes: #653382
  * Only export public symbols in libsmbclient and libwbclient.

  [ Christian Perrier ]
  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Jun 2012 06:03:17 +0200

samba (2:3.6.5-7) unstable; urgency=low

  * Allow installing smbclient package together with newer versions of
    samba4-clients, which no longer ship the smbclient and nmblookup
    binaries.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Jun 2012 13:19:24 +0200

samba (2:3.6.5-6) unstable; urgency=high

  [ Ivo De Decker ]
  * Update symbols file for linux-only symbols in libsmbclient. This should
    fix the FTBFS on kfreebsd and hurd. Closes: #676170
  * Enable ctdb for non-linux archs. 
  * Remove old if-up script during upgrade.

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Jun 2012 19:10:02 +0200

samba (2:3.6.5-5) unstable; urgency=low

  [ Christian Perrier ]
  * Make libpam-winbind depend on libnss-winbind.

  [ Ivo De Decker ]
  * Update symbols file for libsmbclient and libwbclient0
  * Add lintian overrides for examples in samba-doc
  * libpam-winbind: change Depends on libnss-winbind to Recommends
  * libnss-winbind: Suggests libpam-winbind
  * Update package description for winbind, libpam-winbind and libnss-winbind
    to better reflect their content
  * Backport vfs_shadow_copy2 from master, to allow shadow copy to work
    without wide links

  [ Luk Claes ]
  * Ship wbclient.pc file in multiarch safe directory (Closes: #674215).

  [ Sam Morris ]
  * Add libutil_drop_AI_ADDRCONFIG.patch  that allows running nmbd when
    no network interfaces have been assigned an address, therefore
    removing the need for an if-up script. Closes: #640668,#640508

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Jun 2012 20:00:56 +0200

samba (2:3.6.5-3) unstable; urgency=low

  [ Luk Claes ]
  * Ship wbclient.pc so cifs-utils can be built again (Closes: #672733).
  * Activate parallel building. Might need DEB_BUILD_OPTIONS as usual.



=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9~), libpam0g-dev, libreadline-dev,
	libcups2-dev,
	libacl1-dev [linux-any],
	libkrb5-dev(>= 1.10+dfsg~), libldap2-dev , po-debconf, libpopt-dev, uuid-dev,
	libtalloc-dev (>= 2.0.1-1~bpo50+1),
	libtdb-dev (>= 1.2.6~),
	libcap-dev [linux-any],
	libkeyutils-dev [linux-any],
	libctdb-dev (>= 1.10+git20110412),
	pkg-config
Build-Conflicts: libfam-dev,python-ldb,python-ldb-dev
Standards-Version: 3.9.3
Homepage: http://www.samba.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba/
Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba

Package: samba
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: samba-common (= ${source:Version}), libwbclient0 (= ${binary:Version}),${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-11), libpam-modules, lsb-base (>= 3.2-13), procps, update-inetd, adduser
Recommends: logrotate, tdb-tools
Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ctdb
Replaces: samba-common (<= 2.0.5a-2)
Conflicts: samba4 (<< 4.0.0~alpha6-2)
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a
 stand-alone file and print server.  For use in an NT4 domain or Active
 Directory realm, you will also need the winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see cifs-utils).

Package: samba-common-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (>= 2:3.4.0~pre1-2)
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: samba (<< 3.0.20b-1), samba-common (<< 2:3.4.0~pre1-2)
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains files and programs needed by Samba when used as
 either a client or a server.

Package: samba-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ucf, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1), samba4-common (<< 4.0.0~alpha7-1)
Conflicts: samba4-common (<< 4.0.0~alpha7-1)
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by both Samba 3 and Samba 4.

Package: samba-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Conflicts: samba4, samba4-testsuite
Description: Samba testing utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains extra command-line tools such as smbtorture for
 performance-testing CIFS servers and clients.

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Provides: samba-client
Suggests: cifs-utils
Conflicts: samba4-clients (<< 4.0.0~beta1+dfsg1-1)
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package
 cifs-utils.

Package: swat
Architecture: any
Depends: samba (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: samba-doc (= ${source:Version})
Description: Samba Web Administration Tool
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package allows you to administer a Samba server via a web browser.
 .
 SWAT is no longer actively maintained, and its default configuration is
 not secure for use over an untrusted network.  SWAT will also rewrite
 smb.conf, rearranging the entries and deleting all comments as well as
 include= and copy= options, so is not suitable for use in conjunction
 with hand-edited smb.conf files or the default package-managed
 configuration.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba documentation
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the non-PDF documentation for the Samba
 suite. See also samba-doc-pdf.

Package: samba-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba documentation in PDF format
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the PDF documentation for the Samba suite.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, samba-common (= ${source:Version}), ${misc:Depends},
	 libpam-runtime (>= 1.0.1-6)
Pre-Depends: dpkg (>= 1.15.6~)
Suggests: samba
Description: pluggable authentication module for Samba
 This is a module for PAM that enables a system administrator to migrate
 user passwords from the Unix password database to the SMB password
 database as used by Samba, and to subsequently keep the two databases in
 sync.  Unlike other solutions, it does this without needing users to log
 in to Samba using cleartext passwords, or requiring them to change their
 existing passwords.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for communication with SMB/CIFS servers
 This package provides a shared library that enables client applications
 to talk to Microsoft Windows and Samba servers using the SMB/CIFS
 protocol.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: development files for libsmbclient
 This package provides the development files (static library and headers)
 required for building applications against libsmbclient, a library that
 enables client applications to talk to Microsoft Windows and Samba servers
 using the SMB/CIFS protocol.

Package: winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version}), lsb-base (>= 3.0-6), adduser
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: libpam-winbind, libnss-winbind
Replaces: samba (<= 2.2.3-2)
Description: Samba nameservice integration server
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides winbindd, a daemon which integrates authentication
 and directory service (user/group lookup) mechanisms from a Windows
 domain on a Linux system.
 .
 Winbind based user/group lookups via /etc/nsswitch.conf can be enabled via
 the libnss-winbind package. Winbind based Windows domain authentication can
 be enabled via the libpam-winbind package.
 

Package: libpam-winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, winbind (= ${binary:Version}), libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version}), libpam-runtime (>= 1.0.1-6), libpam0g (>= 1.1.3-2~)
Recommends: libnss-winbind
Breaks: winbind (<< 2:3.5.11~dfsg-3)
Replaces: samba (<= 2.2.3-2), winbind (<< 2:3.5.11~dfsg-3)
Description: Windows domain authentication integration plugin
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides pam_winbind, a plugin that integrates with a local
 winbindd server to provide Windows domain authentication to the system.

Package: libnss-winbind
Section: net
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, winbind (= ${binary:Version}), libwbclient0 (= ${binary:Version}), samba-common (= ${source:Version})
Breaks: libpam-winbind (<< 2:3.6.5-2), winbind (<< 2:3.5.11~dfsg-3)
Replaces: libpam-winbind (<< 2:3.6.5-2), samba (<= 2.2.3-2), winbind (<< 2:3.5.11~dfsg-3)
Suggests: libpam-winbind
Description: Samba nameservice integration plugins
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides nss_winbind, a plugin that integrates
 with a local winbindd server to provide user/group name lookups to the
 system; and nss_wins, which provides hostname lookups via both the NBNS and
 NetBIOS broadcast protocols.

Package: samba-dbg
Section: debug
Priority: extra
Architecture: any
Depends: samba (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Samba debugging symbols
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides debugging information for the software in the
 Samba suite. Install it to get a better backtrace in the event of a
 crash.

Package: libwbclient0
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 libpam-smbpass (<< 2:3.4.1),
 libsmbclient (<< 2:3.4.1),
 samba-common (<< 2:3.4.1),
 samba-tools (<< 2:3.4.1),
 samba (<< 2:3.4.1),
 smbclient (<< 2:3.4.1),

=== debian/rules ===
#!/usr/bin/make -f

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_CFLAGS_MAINT_APPEND  := -Wall
export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow

# Ignore these files which would otherwise be pulled into our examples
export DH_ALWAYS_EXCLUDE := COPYING:Makefile.internal:history

DESTDIR=`pwd`/debian/tmp

%:
	dh $@ --sourcedirectory=source3

conf_args = \
		--cache-file=./config.cache \
		--with-fhs \
		--enable-static \
		--with-privatedir=/etc/samba \
		--with-piddir=/var/run/samba \
		--with-rootsbindir=/sbin \
		--with-pammodulesdir=/lib/$(DEB_HOST_MULTIARCH)/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-readline \
		--with-pam_smbpass \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2 \
		--with-automount \
		--with-ldap \
		--with-ads \
		--with-dnsupdate \
		--without-libtdb \
		--without-libnetapi \
		--with-modulesdir=/usr/lib/samba \
		--datadir=/usr/share/samba \
		--with-swatdir=/usr/share/samba/swat \
		--with-lockdir=/var/run/samba \
		--with-statedir=/var/lib/samba \
		--with-cachedir=/var/cache/samba \
		--with-codepagedir=/usr/share/samba \
		--with-nmbdsocketdir=/var/run/samba \
		--enable-external-libtalloc \
		--without-libtalloc \
		--without-cifsmount \
		--disable-avahi \
		--without-libtdb \
		--enable-external-libtdb \
		--disable-smbtorture4 \
		--with-ctdb=/usr --with-cluster-support=yes

ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_args += \
		--with-acl-support \
		--with-quotas \
		--without-cifsupcall          
	  else
  conf_args +=	--without-quotas
endif

override_dh_auto_configure:
	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source3/config.cache; \
	fi
	dh_auto_configure -- $(conf_args)

override_dh_auto_build:
	dh_auto_build --parallel -- everything nsswitch

# our test suite requires including a wrapper lib we don't want to ship.
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# Rename to *.samba3 for alternatives
	mv $(DESTDIR)/usr/bin/smbstatus $(DESTDIR)/usr/bin/smbstatus.samba3
	mv $(DESTDIR)/usr/bin/nmblookup $(DESTDIR)/usr/bin/nmblookup.samba3
	mv $(DESTDIR)/usr/share/man/man1/nmblookup.1 $(DESTDIR)/usr/share/man/man1/nmblookup.samba3.1
	mv $(DESTDIR)/usr/share/man/man1/smbstatus.1 $(DESTDIR)/usr/share/man/man1/smbstatus.samba3.1
	mv $(DESTDIR)/usr/bin/net $(DESTDIR)/usr/bin/net.samba3
	mv $(DESTDIR)/usr/share/man/man8/net.8 $(DESTDIR)/usr/share/man/man8/net.samba3.8
	mv $(DESTDIR)/usr/bin/testparm $(DESTDIR)/usr/bin/testparm.samba3
	mv $(DESTDIR)/usr/share/man/man1/testparm.1 $(DESTDIR)/usr/share/man/man1/testparm.samba3.1

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	install -m 0644 nsswitch/libnss_winbind.so $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libnss_winbind.so.2
	install -m 0644 nsswitch/libnss_wins.so $(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libnss_wins.so.2
	mkdir -p $(DESTDIR)/usr/share/pam-configs
	install -m 0644 debian/libpam-smbpass.pam-config $(DESTDIR)/usr/share/pam-configs/smbpasswd-migrate
	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	install -m 0644 source3/pkgconfig/wbclient.pc $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

	# Install samba-common's conffiles - they'll get moved later to their
	# correct place by dh_install
	mkdir -p $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba

override_dh_installpam:
	dh_installpam --name=samba

override_dh_installchangelogs:
	dh_installchangelogs -Nlibpam-smbpass
ifneq (,$(filter libpam-smbpass, $(shell dh_listpackages)))
	dh_installchangelogs -plibpam-smbpass source3/pam_smbpass/CHANGELOG
endif

override_dh_installinit:
ifneq (,$(filter samba, $(shell dh_listpackages)))
	dh_installinit -psamba -- "defaults 20 19"
endif
ifneq (,$(filter winbind, $(shell dh_listpackages)))
	dh_installinit -pwinbind
endif

override_dh_strip:
	dh_strip -psamba -psmbclient -pwinbind -psamba-common-bin --dbg-package=samba-dbg
	dh_strip -Nsamba -Nsmbclient -Nwinbind -Nsamba-common-bin

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter samba-common, $(shell dh_listpackages)))
	chmod a+x debian/samba-common/usr/share/samba/panic-action
	# Set some reasonable default perms for the samba logdir.
	chmod 0750 debian/samba-common/var/log/samba/
	chown root:adm debian/samba-common/var/log/samba/
endif
ifneq (,$(filter samba, $(shell dh_listpackages)))
	chmod 1777 debian/samba/var/spool/samba/
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibsmbclient -V'libsmbclient (>= 2:3.2.0)'
	dh_makeshlibs -plibwbclient0 -V'libwbclient0 (>= 2:3.5.0~pre2)'

override_dh_compress:
	dh_compress -XWHATSNEW.txt

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
http://www.samba.org/samba/ftp/stable/samba-(\d[\w.]+).tar.gz

## samba 3.6.9

=== debian/changelog ===
samba (2:3.6.9-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental, remaining changes: 
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + Switch to upstart:
      - Added debian/samba.{nmbd,smbd}.upstart.
      - Added debian/winbind.upstart.
      - debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
        Make upstart compatible.
    + d/rules: Drop explicit configuration options for ctdb.
  * Dropped changes; included upstream:
    + d/patches/cups-1.6.1_compat.patch: Cherry picked patch from upstream VCS
      for compatibility with cups >= 1.6.
    + Change "net share allowedusers" to use RPC call that works with
      Microsoft Windows 2008 r2.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Nov 2012 14:34:04 +0000

samba (2:3.6.9-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Nov 2012 08:17:29 +0100

samba (2:3.6.8-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 Sep 2012 07:13:41 +0200

samba (2:3.6.7-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2012 21:37:38 +0200

samba (2:3.6.6-3ubuntu5) quantal; urgency=low

  * Change "net share allowedusers" to use RPC call that works with
    Microsoft Windows 2008 r2 (LP: #1061244).

 -- Olly Betts <olly@survex.com>  Fri, 05 Oct 2012 12:52:33 +0100

samba (2:3.6.6-3ubuntu4) quantal; urgency=low

  * Drop --upstart-only option when installing upstart configuration for
    winbind - its not required in this case. 

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 21:08:52 +0100

samba (2:3.6.6-3ubuntu3) quantal; urgency=low

  * Decouple startup of smbd from cups (LP: #1047262):
    - d/samba.smbd.upstart: Revert changes made in 2:3.6.6-3ubuntu2.
    - d/samba.reload-smbd.upstart: Add upstart task which reloads smbd
      once cups has started, ensuring that smbd startup is decoupled
      from cups.
    - d/rules: Install reload-smbd upstart configuration, don't try to 
      start on install.
  * Install winbind upstart configuration file with --upstart-only option
    for consistency with samba package.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 13:24:16 +0100

samba (2:3.6.6-3ubuntu2) quantal; urgency=low

  * Ensure samba can query cups for printer information on startup
    (LP: #1047262):
    - d/samba.smbd.upstart: Optionally wait for cups to be in state
      'running' if cups is installed.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Sep 2012 10:58:08 +0100

samba (2:3.6.6-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + Switch to upstart:
      - Added debian/samba.{nmbd,smbd}.upstart.
      - Added debian/winbind.upstart.
      - debian/samba.logrotate, debian/samba-common.dhcp, debian/samba.if-up:
        Make upstart compatible.
    + d/rules: Drop explicit configuration options for ctdb.
  * d/patches/cups-1.6.1_compat.patch: Cherry picked patch from upstream VCS
    for compatibility with cups >= 1.6. 

 -- James Page <james.page@ubuntu.com>  Wed, 08 Aug 2012 10:36:23 +0000

samba (2:3.6.6-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes: 
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.


=== debian/rules ===
--- 
+++ 
@@ -51,8 +51,7 @@
 		--disable-avahi \
 		--without-libtdb \
 		--enable-external-libtdb \
-		--disable-smbtorture4 \
-		--with-ctdb=/usr --with-cluster-support=yes
+		--disable-smbtorture4
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   conf_args += \
@@ -102,6 +101,14 @@
 	# correct place by dh_install
 	mkdir -p $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
+	mkdir -p $(DESTDIR)/etc/network/if-up.d
+	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba
+
+	# Ubuntu things
+	mkdir -p $(DESTDIR)/etc/ufw/applications.d
+	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba
+	mkdir -p $(DESTDIR)/usr/share/apport/package-hooks
+	install -D -m 644 debian/source_samba.py $(DESTDIR)/usr/share/apport/package-hooks/source_samba.py
 
 override_dh_installpam:
 	dh_installpam --name=samba
@@ -114,7 +121,9 @@
 
 override_dh_installinit:
 ifneq (,$(filter samba, $(shell dh_listpackages)))
-	dh_installinit -psamba -- "defaults 20 19"
+	dh_installinit -psamba --upstart-only --name smbd
+	dh_installinit -psamba --upstart-only --name nmbd
+	dh_installinit -psamba --upstart-only --no-start --name reload-smbd
 endif
 ifneq (,$(filter winbind, $(shell dh_listpackages)))
 	dh_installinit -pwinbind

## samba 3.6.18

=== debian/changelog ===
samba (2:3.6.18-1ubuntu3.3) saucy-security; urgency=medium

  * SECURITY UPDATE: info leak via SRV_SNAPSHOT_ARRAY response field
    - debian/patches/CVE-2014-0178.patch: don't return uninitialized data
      and extra bytes in source3/smbd/nttrans.c.
    - CVE-2014-0178
  * SECURITY UPDATE: denial of service on nmbd malformed packet
    - debian/patches/CVE-2014-0244.patch: return on EWOULDBLOCK/EAGAIN in
      source3/lib/system.c.
    - CVE-2014-0244
  * SECURITY UPDATE: denial of service via bad unicode conversion
    - debian/patches/CVE-2014-3493.patch: refactor code in
      source3/lib/charcnv.c, change return code checks in
      source3/libsmb/clirap.c, source3/smbd/lanman.c.
    - CVE-2014-3493

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Jun 2014 14:58:05 -0400

samba (2:3.6.18-1ubuntu3.2) saucy-security; urgency=medium

  * SECURITY UPDATE: Password lockout not enforced for SAMR password
    changes
    - debian/patches/CVE-2013-4496.patch: refactor password lockout code in
      source3/auth/check_samsec.c,
      source3/rpc_server/samr/srv_samr_chgpasswd.c,
      source3/rpc_server/samr/srv_samr_nt.c,
      source3/smbd/lanman.c,
      source4/rpc_server/samr/samr_password.c,
      source4/torture/rpc/samr.c.
    - CVE-2013-4496

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Mar 2014 08:51:05 -0400

samba (2:3.6.18-1ubuntu3.1) saucy-security; urgency=low

  * SECURITY UPDATE: file restrictions bypass via alternate data streams
    - debian/patches/CVE-2013-4475.patch: properly check base file access
      in source3/smbd/open.c.
    - CVE-2013-4475
  * SECURITY UPDATE: pam_winbind access restriction bypass via invalid
    group names
    - debian/patches/CVE-2012-6150.patch: ensure valid groups in
      nsswitch/pam_winbind.c.
    - CVE-2012-6150
  * SECURITY UPDATE: arbitrary code execution via incorrect DCE-RPC
    fragment length field checking
    - debian/patches/CVE-2013-4408.patch: apply massive upstream fix to
      lib/async_req/async_sock.c, libcli/util/tstream.c,
      librpc/idl/dcerpc.idl, librpc/rpc/dcerpc_util.c,
      librpc/rpc/rpc_common.h, nsswitch/libwbclient/wbc_sid.c,
      nsswitch/wbinfo.c, source3/lib/netapi/{group,localgroup,user}.c,
      source3/lib/util_tsock.c, source3/libnet/libnet_join.c,
      source3/librpc/rpc/dcerpc_helpers.c,
      source3/rpc_client/{cli_lsarpc,cli_pipe}.c,
      source3/rpc_server/netlogon/srv_netlog_nt.c,
      source3/rpcclient/{cmd_lsarpc,cmd_samr}.c, source3/smbd/lanman.c,
      source3/utils/net_rpc.c, source3/utils/net_rpc_join.c,
      source3/winbindd/{wb_lookupsids,winbindd_msrpc,winbindd_rpc}.c,
      source4/libcli/util/clilsa.c, source4/libnet/{groupinfo,groupman,
      libnet_join,libnet_lookup,libnet_passwd,userinfo,userman}.c,
      source4/librpc/rpc/{dcerpc,dcerpc_smb,dcerpc_smb2,dcerpc_sock}.c,
      source4/winbind/wb_async_helpers.c.
    - CVE-2013-4408

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Dec 2013 10:13:51 -0500

samba (2:3.6.18-1ubuntu3) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2013 12:01:48 +0200

samba (2:3.6.18-1ubuntu2) saucy; urgency=low

  * /etc/init.d/samba exists again as an init script, so drop ill-fated
    code which tries to remove it in the postinst.  LP: #1216438.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Aug 2013 10:04:09 -0700

samba (2:3.6.18-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + debian/patches/VERSION.patch:
      - set SAMBA_VERSION_SUFFIX to Ubuntu.
    + debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] share, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    + debian/samba-common.config:
      - Do not change priority to high if dhclient3 is installed.
      - Use priority medium instead of high for the workgroup question.
    + debian/control:
      - Don't build against or suggest ctdb.
      - Add dependency on samba-common-bin to samba.
    + Add ufw integration:
      - Created debian/samba.ufw.profile
      - debian/rules, debian/samba.install: install profile.
      - debian/control: have samba suggest ufw.
    + Add apport hook:
      - Created debian/source_samba.py.
      - debian/rules, debian/samba-common-bin.install: install hook.
    + d/rules: Drop explicit configuration options for ctdb.
    + debian/samba.logrotate: call upstart interfaces unconditionally instead
      of hacking around with pid files.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2013 15:39:35 +0100

samba (2:3.6.18-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Split the samba init script into nmbd and smbd init scripts, for better
    alignment with how init systems other than sysvinit work.  This also
    drops the override of the arguments to update-rc.d in debian/rules,
    no longer needed in the post-insserv world.
  * Add upstart jobs from Ubuntu for smbd, nmbd, and winbind.

  [ Ivo De Decker ]
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 20 Aug 2013 22:06:45 +0200

samba (2:3.6.17-1) unstable; urgency=high

  * Team upload.
  * New upstream security release. Closes: #718781
    Fixes CVE-2013-4124: Denial of service - CPU loop and memory allocation

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 05 Aug 2013 13:46:23 +0200

samba (2:3.6.16-2) unstable; urgency=high

  * Team upload.
  * Make build-dep on libtevent-dev explicit.
  * Fix waf-as-source.patch to make sure unpacking works in recent build
    environment. Closes: #716932 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 16 Jul 2013 22:01:04 +0200

samba (2:3.6.16-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Drop support for running smbd from inetd; this is not well-supported


=== debian/rules ===
--- 
+++ 
@@ -96,13 +96,12 @@
 	install -m 0644 debian/winbind.pam-config $(DESTDIR)/usr/share/pam-configs/winbind
 	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	install -m 0644 source3/pkgconfig/wbclient.pc $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 0644 source3/pkgconfig/smbclient.pc $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 	# Install samba-common's conffiles - they'll get moved later to their
 	# correct place by dh_install
 	mkdir -p $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
 	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
-	mkdir -p $(DESTDIR)/etc/network/if-up.d
-	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba
 
 	# Ubuntu things
 	mkdir -p $(DESTDIR)/etc/ufw/applications.d
@@ -121,9 +120,10 @@
 
 override_dh_installinit:
 ifneq (,$(filter samba, $(shell dh_listpackages)))
-	dh_installinit -psamba --upstart-only --name smbd
-	dh_installinit -psamba --upstart-only --name nmbd
-	dh_installinit -psamba --upstart-only --no-start --name reload-smbd
+	dh_installinit -psamba --name smbd
+	dh_installinit -psamba --name nmbd
+	dh_installinit -psamba --noscripts
+	dh_installinit -psamba --no-start --name reload-smbd
 endif
 ifneq (,$(filter winbind, $(shell dh_listpackages)))
 	dh_installinit -pwinbind
